filestore-0.6.3.4: Interface for versioning file stores.

Copyright | Copyright (C) 2009 Gwern Branwen
License | BSD 3
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | GHC 6.10 required
Safe Haskell | Safe
Language | Haskell98

Data.FileStore.Darcs

Description

A versioned filestore implemented using darcs. Normally this module should not be imported: import Data.FileStore instead.

Synopsis

- darcsFileStore :: FilePath -> FileStore

# Documentation

darcsFileStore :: FilePath -> FileStore Source #

Return a filestore implemented using the Darcs distributed revision control system (http://darcs.net/).